# Generated by Django 3.0 on 2020-07-02 07:29
import django
from django.conf import settings
from django.db import migrations, models
import utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Channel',
            fields=[
                ('datetime_updated', models.DateTimeField(auto_now=True, db_column='MODIFIED_DATE', null=True)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('code', models.CharField(db_column='STREAM_CODE', max_length=20, primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, db_column='STREAM_NAME', max_length=20, null=True)),
                ('bms_code', models.CharField(blank=True, db_column='BMS_CH_CODE', max_length=5, null=True)),
                ('definition_type', models.CharField(db_column='DIFINATION_TYPE', max_length=10)),
                ('source', models.CharField(db_column='SOURCE', max_length=20)),
                ('is_active', models.CharField(choices=[('Y', 'Yes'), ('N', 'No')], db_column='ACTIVE_FLAG', default='Y', max_length=1)),
                ('is_catchup', models.CharField(choices=[('Y', 'Yes'), ('N', 'No')], db_column='CATCHUP_FLAG', default='N', max_length=1)),
                ('is_live_record', models.CharField(choices=[('Y', 'Yes'), ('N', 'No')], db_column='LIVE_TO_VOD_FLAG', default='N', max_length=1)),
                ('is_blackout', models.CharField(choices=[('Y', 'Yes'), ('N', 'No')], db_column='BLACK_OUT_FLAG', default='N', max_length=1)),
                ('account_created',
                 models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),
                ('account_updated',
                 models.ForeignKey(db_column='MODIFIED_BY', on_delete=django.db.models.deletion.SET_NULL, null=True,
                                   default=None,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'STM_LIVE_CHANNEL',
                'ordering': ['-datetime_created', '-code'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'view_detail', 'add', 'change', 'delete'),
            },
            bases=(utils.fields.SaveMixin, models.Model),
        ),
    ]
